<?php

namespace AutoAdmin\Bundle\Content\Hierarchy\Model\Interfaces;

use Doctrine\Common\Collections\Collection;

interface SelfHierarchyInterface
{
    public function getParent(): ?self;
    public function getChildren(): ?Collection;
}
